<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpa__enums" kind="group">
    <compoundname>Group_lpa_enums</compoundname>
    <title>Group_lpa_enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__lpa__enums_1gacaa1d0b548141e9016a65d6e49f1cc46" kind="enum" prot="public" static="no">
        <name>arp_ol_config_state_t</name>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36ec3274393ee46bee7efe3f19b97d50" prot="public">
          <name>ARP_OL_STATE_UNINITIALIZED</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>ARP OL is Uninitialized. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46ac8714ff185b1782df0c4742c5fb519f8" prot="public">
          <name>ARP_OL_STATE_AWAKE</name>
          <briefdescription>
<para>ARP OL is set for AWAKE state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggacaa1d0b548141e9016a65d6e49f1cc46a36492e74f2221d98a341c8f90eb475a3" prot="public">
          <name>ARP_OL_STATE_GOING_TO_SLEEP</name>
          <briefdescription>
<para>ARP OL is set for ASLEEP state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>arp_ol_config_state_t: </bold><linebreak />States for configuration to use.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="114" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="115" />
      </memberdef>
      <memberdef id="group__group__lpa__enums_1gace0edf60e8d895921d04049cd6b3eefe" kind="enum" prot="public" static="no">
        <name>cy_pf_feature_t</name>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea5955473fb0935b7cc555fe35e29b4943" prot="public">
          <name>CY_PF_OL_FEAT_PORTNUM</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Filter based on port numbers. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea6305d69a1415f45ef32c742490cc3758" prot="public">
          <name>CY_PF_OL_FEAT_ETHTYPE</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Filter based on ethernet_type. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea54631cb204c5e0fc28f6bed64a5e137e" prot="public">
          <name>CY_PF_OL_FEAT_IPTYPE</name>
          <initializer>= 3</initializer>
          <briefdescription>
<para>Filter based on IP type. </para>          </briefdescription>
          <detaileddescription>
<para>Add new filter types here. do not alter previous types (breaks backward compatibilty) </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1ggace0edf60e8d895921d04049cd6b3eefea892b30d5e8c31447757a22da6887ff8b" prot="public">
          <name>CY_PF_OL_FEAT_LAST</name>
          <initializer>= 4</initializer>
          <briefdescription>
<para>Number of offload features (invalid feature id). </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pf_feature_t: </bold><linebreak />Packets may be filtered according to TCP/UDP Port number, ethertype or IP type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="43" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="36" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="37" />
      </memberdef>
      <memberdef id="group__group__lpa__enums_1ga582cb12b9a55b2e2476e0078cce70624" kind="enum" prot="public" static="no">
        <name>cy_pf_proto_t</name>
        <enumvalue id="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624a148cb7b5ffe061dcf0f2e0156ce16573" prot="public">
          <name>CY_PF_PROTOCOL_UDP</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>UDP protocol. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1gga582cb12b9a55b2e2476e0078cce70624ae0d2eae113cd1a14a2606e08a1bc4712" prot="public">
          <name>CY_PF_PROTOCOL_TCP</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>TCP protocol. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pf_proto_t: </bold><linebreak />Port numbers are a feature of both TCP and UDP protocols.</para></briefdescription>
        <detaileddescription>
<para>Each filter can only support one or the other. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="50" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="47" />
      </memberdef>
      <memberdef id="group__group__lpa__enums_1ga0093febf4de86e258f6c65668742c050" kind="enum" prot="public" static="no">
        <name>cy_pn_direction_t</name>
        <enumvalue id="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050a713fa37b31f356c2e0b95b27519d7c14" prot="public">
          <name>PF_PN_PORT_DEST</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Filter Destination Port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__enums_1gga0093febf4de86e258f6c65668742c050aee7ce890299c524ab08b748e542d9974" prot="public">
          <name>PF_PN_PORT_SOURCE</name>
          <initializer>= 2</initializer>
          <briefdescription>
<para>Filter Source Port. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_pn_direction_t: </bold><linebreak />Source or Dest Port.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" bodystart="53" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_pf_ol.h" line="54" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>